
Ruby - Feature #6528

Feature # 7378 (Closed): Adding Pathname#write

Add Pathname#write and Pathname#binwrite

06/02/2012 02:37 PM - niku (niku _)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version: 2.6   

Description

IO.read と対応する Pathname#read があるので

IO.write と対応する Pathname#write が欲しいです．

IO.write がない現在は pathname.open('w') { |f| f << str } などと書かなくてはならず，冗長ですが

IO.write があれば pathname.write(str) と書けて，簡潔です．

Pathname#write と Pathname#binwrite を実装したパッチを添付します．

History

#1 - 06/13/2012 02:30 AM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

akr さん、どうですか？

--

Yusuke Endoh mame@tsg.ne.jp

#2 - 08/09/2012 07:56 PM - niku (niku _)

どうでしょうか？

何か引っかかっている所があれば指摘してもらえると嬉しいです．

#3 - 09/26/2012 05:51 PM - niku (niku _)

IO.read と対応する Pathname#read があるので

IO.write と対応する Pathname#write が欲しいです．

IO.write がない現在は pathname.open('w') { |f| f << str } などと書かなくてはならず，冗長ですが

IO.write があれば pathname.write(str) と書けて，簡潔です．

 のところ、

IO.read と対応する Pathname#read があるので

IO.write と対応する Pathname#write が欲しいです．

pathname.write がない現在は pathname.open('w') { |f| f << str } などと書かなくてはならず，冗長ですが

pathname.write があれば pathname.write(str) と書けて，簡潔です．

 の誤りでしたので訂正します。

#4 - 11/20/2012 11:30 PM - mame (Yusuke Endoh)

- Target version set to 2.6

#5 - 04/04/2013 11:32 PM - akr (Akira Tanaka)

- Status changed from Assigned to Closed

- Parent task set to #7378

06/12/2025 1/2

mailto:mame@tsg.ne.jp


Files

0001-ext-pathname-pathname.c-add-Pathname-write-and-Pathn.patch3.05 KB 06/02/2012 niku (niku _)
